---
page_title: Order Create
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/payout/order-create
openapi:
  Domestic: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fpayout%2Forder-create%3Fversion%3DDomestic
  International: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fpayout%2Forder-create%3Fversion%3DInternational
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: Domestic


# Order Create   



API is used to create a payout request with Juspay for account + IFSC, UPI,  Tokenized Card (Juspay as token requestor), Wallet, and Beneficiary ID based payouts

> **Note**
> * Merchants can use the  **[Pause Payout/Weblabs](https://juspay.io/in/docs/payout/docs/resources/pause-payout--weblabs)**  feature to handle scenarios such as low account balance or gateway downtime.
>   
>   * This feature allows merchants to temporarily pause payout transactions for a specified duration, which can be defined as per their requirements.

## Endpoints:
- Sandbox: https://sandbox.juspay.in/payout/merchant/v1/orders

- Production: https://api.juspay.in/payout/merchant/v1/orders

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:  Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
Pass merchant-id provided by Juspay
- Tags: string

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Account IFSC Code Snippet:

```account ifsc
curl --request POST 'https://sandbox.juspay.in/payout/merchant/v1/orders/' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "orderId": "test_order_03032025_1859",
    "fulfillments": [
        {
            "amount": 1.25,
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "account": "026291800001191",
                    "ifsc" : "YESB0000262"
                },
                "type": "ACCOUNT_IFSC"
            },
            "additionalInfo": {
                "remark":"Payout Transaction"
            }
        }
    ],
    "amount": 1.25,
    "customerId": "test_piyush",
    "customerPhone": "9999999999",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

#### UPI Code Snippet:

```upi
curl --request POST 'https://sandbox.juspay.in/payout/merchant/v1/orders/' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "orderId": "test_order_04032025_1659",
    "fulfillments": [
        {
            "amount": 1.25,
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "vpa": "success@upi",
                    "mobileNo": "9999999999"
                },
                "type": "UPI_ID"
            },
            "additionalInfo": {
                "remark":"Payout Transaction"
            }
        }
    ],
    "amount": 1.25,
    "customerId": "test_piyush",
    "customerPhone": "9999999999",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

#### Bene ID Code Snippet:

```bene id
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "orderId": "06032025_1729",
    "fulfillments": [
        {
            "amount": 1.25,
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "id": "piyush_01"
                },
                "type": "BENE_ID"
            },
            "additionalInfo": {
                "remark":"Payout Transaction"
            }
        }
    ],
    "amount": 1.25,
    "customerId": "piyush",
    "customerPhone": "9999999999",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

#### Card Code Snippet:

```card
curl --location --request POST 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "orderId": "06032025_1731",
    "fulfillments": [
        {
            "amount": 1.25,
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "cardType": "CREDIT",
                    "cardReference": "01f77f3378096bc94b7061315c556980",
                    "brand": "MASTERCARD",
                    "bankCode": "607152"
                },
                "type": "CARD"
            },
            "additionalInfo": {
                "remark":"Payout Transaction"
            }
        }
    ],
    "amount": 1.25,
    "customerId": "piyush",
    "customerPhone": "9999999999",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

#### Wallet Code Snippet:

```wallet
curl --location --request POST 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "orderId": "06032025_1733",
    "fulfillments": [
        {
            "amount": 1.25,
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "brand": "PAYTM",
                    "walletIdentifier" : "9999999999"
                },
                "type": "WALLET"
            },
            "additionalInfo": {
                "remark":"Payout Transaction"
            }
        }
    ],
    "amount": 1.25,
    "customerId": "piyush",
    "customerPhone": "9999999999",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

#### Payout Link Code Snippet:

```payout link
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "orderId": "TestOrder_01",
    "fulfillments": [
        {
            "amount": 1.00,
            "beneficiaryDetails": {
                "details": {
                    "name": "Test Name",
                    "mobileNo" : "9999999999"
                },
                "type": "PAYOUT_LINK"
            },
            "additionalInfo": {
                "remark":"TestString",
                "payoutLinkClientId": "testclient"
            }
        }
    ],
    "amount": 1.00,
    "customerId": "customer_1122",
    "customerPhone": "8408099821",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

#### Payout to Mobile Number (type: UPI_ID)) Code Snippet:

```payout to mobile number (type: upi_id))
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'Authorization: Basic XXXXXXXXXXXXX' \
--data-raw '{
    "orderId": "test-xxx-xxx-a13c",
    "fulfillments": [
        {
            "amount": 1.25,
            "beneficiaryDetails": {
                "details": {
                  
                    "mobileNo": "9999999999"
                    
                },
                "type": "UPI_ID"
            }, 
            "additionalInfo": {
              "remark":"Payout Transaction"
            }
        }
    ],
    "amount": 1.25,
    "customerId": "5bxxxxx4-6010-xxxx-9f0f-f3706xxxxdc6",
    "customerPhone": "9999999999",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

#### ACCOUNT_IFSC with PAN  Code Snippet:

```account_ifsc with pan 
curl --request POST 'https://sandbox.juspay.in/payout/merchant/v1/orders/' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "orderId": "test_order_03032025_1859",
    "fulfillments": [
        {
            "amount": 1.25,
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "account": "026291800001191",
                    "ifsc" : "YESB0000262",
                    "payeeAdditionalDetails":{
                        "documents": [{
                            "docId" : "OACPS2488J",
                            "docType" : "PAN"
                        }]
                    }
                },
                "type": "ACCOUNT_IFSC"
            },
            "additionalInfo": {
                "remark":"Payout Transaction"
            }
        }
    ],
    "amount": 1.25,
    "customerId": "test_piyush",
    "customerPhone": "9999999999",
    "customerEmail": "test@gmail.com",
    "type": "FULFILL_ONLY"
}'


```

#### BANK_TRANSFER (International) Code Snippet:

```bank_transfer (international)
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic haha==' \
--data-raw '{
    "orderId": "demotestorder01",
    "fulfillments": [
        {
            "preferredMethodList": [
                "AIRWALLEX_BT.test3"
            ],
            "amount": 1,
            "fulfillmentCurrency": "SGD",
            "sourceCurrency" : "SGD",
            "additionalInfo": {
                "refundReason": "travel"
            },
            "beneficiaryDetails": {
                "details": {
                    "firstName": "Shubham",
                    "lastName": "Kumar",
                    "account": "026293800001191",
                    "bankIdentifier": "JP_SGP_DBS",
                    "bankCountryCode": "SGP",
                    "address": {
                        "city": "Chennai",
                        "countryCode": "SGP",
                        "postcode": "24356789",
                        "streetAddress": "GVASJCBKDSHB",
                        "state": "SLKDNFLSDN"
                    },
                    "transferType": "LOCAL",
                    "payoutMode" : "FAST"
                },
                "type": "BANK_TRANSFER"
            }
        }
    ],
    "amount": 1,
    "customerId": "cth_59Yibs1JauYP6WJP",
    "customerPhone": "9999099999",
    "customerEmail": "shubham@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

### Sample Response:

#### Account IFSC:
```json
{
    "type": "FULFILL_ONLY",
    "status": "READY_FOR_FULFILLMENT",
    "payments": [],
    "orderId": "test_order_03032025_1859",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-03-03T13:31:27Z",
            "type": "ORDER",
            "statusUpdatedAt": "2025-03-03T13:31:27Z",
            "status": "CREATED",
            "id": "44c0410d5184d2aa02947e1ff8adbe-f1",
            "fulfillmentMethodList": [],
            "createdAt": "2025-03-03T13:31:27Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "ifsc": "YESB0000262",
                    "account": "0262XXXXXXX1191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 1.25,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "amount": 1.25
}
```

#### UPI:
```json
{
    "type": "FULFILL_ONLY",
    "status": "READY_FOR_FULFILLMENT",
    "payments": [],
    "orderId": "test_order_04032025_1719",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-03-04T11:59:23Z",
            "type": "ORDER",
            "statusUpdatedAt": "2025-03-04T11:59:23Z",
            "status": "CREATED",
            "id": "cf9cf8fb9f845018444558fcafa07e-f1",
            "fulfillmentMethodList": [],
            "createdAt": "2025-03-04T11:59:23Z",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "sucXXXXXupi",
                    "name": "Piyush Begwani",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            },
            "amount": 1.25,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "amount": 1.25
}
```

#### Bene ID:
```json
{
    "type": "FULFILL_ONLY",
    "status": "READY_FOR_FULFILLMENT",
    "payments": [],
    "orderId": "06032025_1729",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-03-06T14:46:41Z",
            "type": "ORDER",
            "statusUpdatedAt": "2025-03-06T14:46:41Z",
            "status": "CREATED",
            "id": "2f2f7278b944d24bf363a20ed1fc2a-f1",
            "fulfillmentMethodList": [],
            "createdAt": "2025-03-06T14:46:41Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "id": "piyush_01"
                },
                "type": "BENE_ID"
            },
            "amount": 1.25,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "piyush",
    "amount": 1.25
}
```

#### Card:
```json
{
    "type": "FULFILL_ONLY",
    "status": "READY_FOR_FULFILLMENT",
    "payments": [],
    "orderId": "06032025_1731",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-03-06T14:48:54Z",
            "type": "ORDER",
            "statusUpdatedAt": "2025-03-06T14:48:54Z",
            "status": "CREATED",
            "id": "679575a3d6a45d5a9feb4ec3c4c733-f1",
            "fulfillmentMethodList": [],
            "createdAt": "2025-03-06T14:48:54Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Piyush Begwani",
                    "cardType": "CREDIT",
                    "cardReference": "01f77f3378096bc94b7061315c556980",
                    "brand": "MASTERCARD",
                    "bankCode": "607152"
                },
                "type": "CARD"
            },
            "amount": 1.25,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "piyush",
    "amount": 1.25
}
```

#### Wallet:
```json
{
    "udf5": "udf5",
    "udf4": "udf4",
    "udf3": "udf3",
    "udf2": "udf2",
    "udf1": "udf1",
    "type": "FULFILL_ONLY",
    "status": "READY_FOR_FULFILLMENT",
    "payments": [],
    "orderId": "1703665523",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T08:25:23Z",
            "udf5": "String5",
            "udf4": "String4",
            "udf3": "String3",
            "udf2": "String2",
            "udf1": "String1",
            "type": "ORDER",
            "statusUpdatedAt": "2023-12-27T08:25:23Z",
            "status": "CREATED",
            "preferredMethodList": [],
            "id": "a45e48746eb4c85ba2c29b464e302a-f1",
            "fulfillmentMethodList": [],
            "createdAt": "2023-12-27T08:25:23Z",
            "beneficiaryDetails": {
                "details": {
                    "walletIdentifier": "9999999999",
                    "brand": "PAYTM"
                },
                "type": "WALLET"
            },
            "amount": 1,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "amount": 1
}

```

#### Payout Link:
```json
{
    "type": "FULFILL_ONLY",
    "status": "READY_FOR_FULFILLMENT",
    "payments": [],
    "orderId": "1716370593",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-02-18T13:35:51Z",
            "type": "ORDER",
            "statusUpdatedAt": "2025-02-18T13:35:50Z",
            "status": "CREATED",
            "id": "73a5039fab44b0b88ce590130c1970-f1",
            "fulfillmentMethodList": [],
            "createdAt": "2025-02-18T13:35:50Z",
            "beneficiaryDetails": {
                "details": {
                    "payout_process_payload": {
                        "service": "in.juspay.payouts",
                        "requestId": "LSPcb9b0a87872b4794bcafb508b1800136",
                        "payload": {
                            "orderStatus": "INITIATED",
                            "orderId": "1716370593",
                            "merchantId": "morpheus",
                            "language": "english",
                            "environment": "sandbox",
                            "customerPhone": "XXXXXX9821",
                            "customerId": "cth_aC7pPDuatTkYsXHr",
                            "customerEmail": "",
                            "currency": "INR",
                            "clientId": "morpheus",
                            "clientAuthToken": "LSPb464dc0b23e9468e956ddab128e1aafd",
                            "catExpiry": "2025-02-19 13:35:51.060212 UTC",
                            "amount": "4",
                            "action": "initiate"
                        }
                    },
                    "payoutLinks": {
                        "webLong": "https://sandbox.juspay.in/payout/smartConvert/api/payouts/v1.0?orderId=hLvnRzxyubmjO8l9&merchantId=titanwatches",
                        "web": "https://sandbox.juspay.in/payout/smartConvert/JUSPAY/BV6HTb"
                    },
                    "payoutLink": "https://integ-expresscheckout-api.juspay.in/credit/api/payouts/v1.0?orderId=1716370593&merchantId=morpheus",
                    "name": "Test Name",
                    "mobileNo": "840XXXX821",
                    "link_expiry": "2025-02-18T13:36:51.009Z"
                },
                "type": "PAYOUT_LINK"
            },
            "amount": 4
        }
    ],
    "customerId": "cth_aC7pPDuatTkYsXHr",
    "amount": 4
}
```

#### Payout to Mobile Number (type: UPI_ID)):
```plaintext
{
    "status": "READY_FOR_FULFILLMENT",
    "amount": 1.25,
    "customerId": "5bxxxxx4-6010-xxxx-9f0f-f3706xxxxdc6",
    "fulfillments": [
        {
            "status": "CREATED",
            "amount": 1.25,
            "additionalInfo": {
                "remark": "Payout Transaction"
            },
            "fulfillmentMethodList": [],
            "createdAt": "2025-04-28T09:13:35Z",
            "updatedBy": "DEFAULT",
            "statusUpdatedAt": "2025-04-28T09:13:35Z",
            "id": "939dce68b430436ca2d6cdd44b9ac631-f1",
            "updatedAt": "2025-04-28T09:13:35Z",
            "type": "ORDER",
            "beneficiaryDetails": {
                "details": {
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            }
        }
    ],
    "type": "FULFILL_ONLY",
    "orderId": "test-xxx-xxx-a13c",
    "payments": []
}
```

#### BANK_TRANSFER (International):
```plaintext
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic haha==' \
--data-raw '{
    "orderId": "demotestorder01",
    "fulfillments": [
        {
            "preferredMethodList": [
                "AIRWALLEX_BT.test3"
            ],
            "amount": 1,
            "fulfillmentCurrency": "SGD",
            "sourceCurrency" : "SGD",
            "additionalInfo": {
                "refundReason": "travel"
            },
            "beneficiaryDetails": {
                "details": {
                    "firstName": "Shubham",
                    "lastName": "Kumar",
                    "account": "026293800001191",
                    "bankIdentifier": "JP_SGP_DBS",
                    "bankCountryCode": "SGP",
                    "address": {
                        "city": "Chennai",
                        "countryCode": "SGP",
                        "postcode": "24356789",
                        "streetAddress": "GVASJCBKDSHB",
                        "state": "SLKDNFLSDN"
                    },
                    "transferType": "LOCAL",
                    "payoutMode" : "FAST"
                },
                "type": "BANK_TRANSFER"
            }
        }
    ],
    "amount": 1,
    "customerId": "cth_59Yibs1JauYP6WJP",
    "customerPhone": "9999099999",
    "customerEmail": "shubham@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

## Body Parameters:
### Parameters:

#### orderId:
- Description: Unique Reference for the order. This will be the ID for any subsequent communications. 

Min length = 4, Max length = 64 

orderId can contain alphanumeric values. It can also contain special characters _ , - and @
- Tags: string, Mandatory

#### amount:
- Description: Total order amount. Amount can be passed up to 2 decimal points.Minimum amount of Rs 1Example: 1,2.5,3.80
- Tags: Double, Mandatory

#### customerId:
- Description: Unique ID for the customer generated by the merchant. 

Max length = 64

For CARD payouts, please provide same customer ID used while adding / tokenizing card. 

For BENE ID payouts please use same customer ID passed while creating / validating beneficiary.
- Tags: string, Mandatory

#### customerPhone:
- Description: Customer mobile number - you may pass a dummy value in case this information is not available at your end
- Tags: string, Mandatory

#### customerEmail:
- Description: Customer email address - you may pass a dummy value in case this information is not available at your end
- Tags: string, Mandatory

#### type:
- Description: Pass FULFILL_ONLY for payout order creation
- Tags: string, Mandatory

#### fulfillments:
- Description: fulfilment related details
- Value:
  - **PreferredMethodList**:
    - Description: Note: This is an optional param and should be used only in some specific cases and routing requirements.Please do not pass this field unless there is an specific routing need.This will define the list of methods to be used for fulfillments for instance - [“DUMMY_IMPS”]
      
      preferredMethodList carries a higher priority than distribution logic set on Juspay dashboard.
    - Tags: array, Optional
  - **Amount**:
    - Description: Amount to be processed for the particular fulfillment. Sum of all the fulfilment amount should be equal to order amount,Minimum amount of Rs 1
    - Tags: Double, Mandatory
  - **BeneficiaryDetails**:
    - Value:
      - **Type**:
        - Description: Pass “CARD” / “UPI_ID” / “ACCOUNT_IFSC” / "WALLET" / "BENE_ID" / “PAYOUT_LINK“ based on required method. CARD for card transfer on tokenized cards where Juspay is the token requester, UPI_ID for transfer to vpa, and ACCOUNT_IFSC for transfer to bank account, WALLET for transfer to Paytm Wallet, BENE_ID for transfer to beneficiary already created / validated with Juspay, PAYOUT_LINK for creating a payout link.
        - Tags: String, Mandatory
      - **Details**:
        - Value:
          - **Name**:
            - Description: Name of beneficiaryRequired in case of NEFT / RTGS rails due to beneficiary  name check done by beneficiary banks.
            - Tags: String
          - **Account**:
            - Description: Account of beneficiary. Required for payout of type ACCOUNT_IFSC
            - Tags: String
          - **Ifsc**:
            - Description: IFSC of beneficiary. Required for payout of type ACCOUNT_IFSC
            - Tags: String
          - **CardReference**:
            - Description: CardReference to the card details stored in Juspay Card Vault. Required for payout type CARD
            - Tags: String
          - **BankCode**:
            - Description: IIN of the card issuer - a list of bankCode & bankNames is provided. Required for payout type CARD. Please refer to Resources section for the list of bank codes
            - Tags: String
          - **Brand**:
            - Description: Card brand - VISA / MASTERCARD / AMEX etc. Required for payout type CARD 
              
              Wallet brand supported - PAYTM. Required for payout type WALLET
            - Tags: String
          - **CardType**:
            - Description: CREDIT / DEBIT. Required for payout type CARD
            - Tags: String
          - **Vpa**:
            - Description: UPI id of beneficiary. Required for payout type UPI_ID
            - Tags: String
          - **WalletIdentifier**:
            - Description: Number with which user has registered Paytm Wallet.
            - Tags: String
          - **Id**:
            - Description: Beneficiary ID passed in the request while creating / validating beneficiary. Required for payout type BENE_ID
            - Tags: String
          - **MobileNo**:
            - Description: Required for payout type UPI_ID / PAYOUT_LINK. UPI_ID : Mobile number on which payout should be attempted. Juspay will fetch the primary vpa linked to the mobile number and attempt UPI Payout. PAYOUT_LINK : Payout link will be sent to the provided mobile number.
            - Tags: String
          - **PayeeAdditionalDetails**:
            - Description: These fields are required for merchants using YESNODAL_FTx gateway.
            - Value:
              - **Documents**:
                - Value:
                  - **DocId**:
                    - Value: Example: "OACPS2488J"
                    - Tags: String
                  - **DocType**:
                    - Value: Possible values: "PAN"
                    - Tags: String
                - Tags: Array of JSON objects, mandatory
              - **PayeeType**:
                - Value: Ex: PARTNER | PUBLTD | PVTLTD | PROP | SOC | TRUST | GOVT
                - Tags: String, mandatory
              - **BusinessModel**:
                - Value: Ex: Ecommerce
                - Tags: String, Mandatory
            - Tags: JSON-Object, Mandatory
        - Tags: Object
    - Tags: object
  - **Udf1-5**:
    - Description: Fulfillment level user defined fields. These fields can be used for analytics and routing of fulfillment of the order
    - Tags: String
  - **AdditionalInfo**:
    - Value:
      - **Remark**:
        - Description: The parameter will be passed as narration to the downstream gateways (if supported)
        - Tags: String
      - **ScheduleTime**:
        - Description: Time at which fulfillment should be attempted by Juspay. This is UTC format. Example: “2025-02-05T11:53:40Z”
        - Tags: String
      - **AttemptThreshold**:
        - Description: This is the time after which juspay will not initiate attempt with underlying gateway.Merchants can use this field to set custom attempt threshold for an order. This is in minutes. Attempt threshold can be set on the dashboard as well.
        - Tags: Integer, Optional
      - **IsRetriable**:
        - Description: Merchants can pass true / false depending upon whether order should be retried on technical failure. Applicable only for PLAIN_CARD
        - Tags: Boolean
      - **WebhookDetails**:
        - Description: Merchants can provide dynamic webhook details for the order if required. This is an optional field.Use this field only if you want to receive webhooks on seperate URLs for orders.If you want to use only one URL for webhooks, please set webhook URL on payouts Dashboard.
        - Value:
          - **Url**:
            - Description: https URL corresponding to webhook endpoint to which webhook events should be triggered for this order
            - Tags: String
          - **Username**:
            - Description: Input values of username and password in corresponding fields. Base 64 encoded value of username:password will be sent as Authorization for webhook
            - Tags: String
          - **CustomHeader**:
            - Description: Merchant can pass custom headers in below mentioned format:{ "<name of field1>" : "<value1>", "<name of field 2>" : "<value 2>" }Example:{ "X-MerchantId" : "testMerchant", "X-App" : "testApp" }
            - Tags: String, Optional
          - **Password**:
            - Description: Input values of password in corresponding fields. Base 64 encoded value of username:password will be sent as Authorization for webhook
            - Tags: String
        - Tags: Object, Optional
      - **OriginalTxnRef**:
        - Description: Transaction Reference pointing to original transaction for refund payout.This field is applicable only for Card refunds on Visa Direct / Mastercard Send rails
        - Tags: String
      - **PayoutLinkClientId**:
        - Description: Unique Identifier for each client. Mandatory for creating Payout link orders.
        - Tags: String, Mandatory
    - Tags: Object
- Tags: object

#### udf1-5:
- Description: Order level user defined field. Field can be used for analytics.
- Tags: string
## API Responses:
### 200:

#### 200 : Payout Response:
- Value:
  - **Type**:
    - Description: Payout type passed in order create request
    - Value: FULFILL_ONLY
    - Tags: String
  - **Status**:
    - Description: Relays the current status of order created at Juspay end
    - Value: READY_FOR_FULFILLMENT
    - Tags: String
  - **Orderid**:
    - Description: orderId passed during order creation
    - Value: 1703593449
    - Tags: String
  - **Fullfilments**:
    - Value:
      - **Amount**:
        - Description: Amount passed in the fulfillment block
        - Value: 1.0
        - Tags: String
      - **UpdatedBy**:
        - Description: Medium via which payout status was updated. Will be DEFAULT in response of create order
        - Value: DEFAULT
        - Tags: String
      - **UpdatedAt**:
        - Description: Timestamp at which fulfillment payload was last updated at Juspay end
        - Value: 2023-12-23T16:54:27Z
        - Tags: String
      - **Udf1-5**:
        - Description: Fulfillment level user defined fields passed in order creation request
        - Tags: String
      - **Status**:
        - Description: Relays the current status of fulfillment created at Juspay end
        - Value: CREATED
        - Tags: String
      - **PreferredMethodList**:
        - Description: Array passed during order create for preferredMethodList
        - Value: DUMMY_IMPS
        - Tags: Array of Strings
      - **Id**:
        - Description: Fulfillment ID created by Juspay for fulfillment payload received in order create request
        - Value: 25cbcf3454a445789309dc0b54e681-f1
        - Tags: String
      - **StatusUpdatedAt**:
        - Description: Timestamp at which status of fulfillment was updated at Juspay end
        - Value: 2023-12-26T12:24:08Z
        - Tags: String
      - **BeneficiaryDetails**:
        - Description: Beneficiary details provided in order create by merchant
        - Value:
          - **Type**:
            - Description: Payout type initiated by merchant
            - Value: ACCOUNT_IFSC | UPI_ID | PAYOUT_LINK | BENE_ID | WALLET
            - Tags: String
          - **Details**:
            - Value:
              - **PayoutLinks**:
                - Description: Payout links to be forwarded to the customer
                - Value:
                  - **Web**:
                    - Description: Short length payout_link Url
                    - Tags: String
                  - **WebLong**:
                    - Description: Long length payout_link Url
                    - Tags: String
                - Tags: String
              - **Name**:
                - Description: name of the beneficiary passed in order create
                - Tags: String
              - **Link_expiry**:
                - Description: Expiry time of the payout link
                - Tags: String
              - **Payout_process_payload**:
                - Description: Note: This field is optional and should not be used to drive any internal logic.
                - Tags: JSON, Optional
              - **MobileNo**:
                - Description: mobile number passed in order create
                - Tags: String
              - **PayoutLink**:
                - Description: Payout link to be forwarded to the customer
                - Tags: String
            - Tags: String
        - Tags: Object
      - **AdditionalInfo**:
        - Description: Additional Information sent by merchant in create order request
        - Value:
          - **PayoutLinkClientId**:
            - Description: PaymentPage corresponding client-id
            - Tags: String
          - **WebhookDetails**:
            - Description: webhook endpoint url sent by merchant in order create request
            - Value:
              - **Url**:
                - Description: url to which the webhook notifications of this particular order should be sent
                - Tags: String
              - **Username**:
                - Tags: String
              - **Password**:
                - Tags: String
            - Tags: String
        - Tags: Object
    - Tags: Array
  - **CustomerId**:
    - Description: Customer ID passed during order creation
    - Value: cth_59Yibs1JauYP6WJP
    - Tags: String
  - **Amount**:
    - Description: Amount passed for the order
    - Value: 1.0
    - Tags: String
  - **Udf1-5**:
    - Description: Order level udfs passed in order create request
    - Tags: String
- Tags: Object
### 400:

#### error:
- Description: Boolean reflecting error in request of create order API
- Value:  true
- Tags: Boolean

#### errorCode:
- Description: Error code provided by Juspay
- Value:  E01
- Tags: String

#### errorMessage:
- Description: Error message provided by Juspay. Share this message with Juspay POC for debugging
- Value: Amount0.0 cannot be less than 1.0Amount0.0 cannot be less than 1.0
- Tags: String

#### userMessage:
- Description: Error message that will be shown on dashboard / analytics
- Tags: String
### 401:

#### error:
- Description: Boolean reflecting error in request of create order API
- Value:  true
- Tags: String

#### errorCode:
- Description: Error code provided by Juspay
- Value:  E02
- Tags: String

#### errorMessage:
- Description: Error message provided by Juspay. Share this message with Juspay POC for debugging
- Value:  Invalid API key passed in request.
- Tags: String

#### userMessage:
- Description: Error message that will be shown on dashboard / analytics
- Value:  Invalid API Key
- Tags: String, Mandatory


---

## API Version: International


# Order Create  



API is used to create a payout request with Juspay for Bank account transfers.

> **Note**
> * Merchants can use the  **[Pause Payout/Weblabs](https://juspay.io/in/docs/payout/docs/resources/pause-payout--weblabs)**  feature to handle scenarios such as low account balance or gateway downtime.
>   
>   * This feature allows merchants to temporarily pause payout transactions for a specified duration, which can be defined as per their requirements.

## Endpoints:
- Sandbox: https://sandbox.juspay.in/payout/merchant/v1/orders

- Production: https://api.juspay.in/payout/merchant/v1/orders

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:  Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
Pass merchant-id provided by Juspay
- Tags: string

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### BANK_TRANSFER (International) Code Snippet:

```bank_transfer (international)
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic haha==' \
--data-raw '{
    "orderId": "demotestorder01",
    "fulfillments": [
        {
            "preferredMethodList": [
                "AIRWALLEX_BT.test3"
            ],
            "amount": 1,
            "fulfillmentCurrency": "SGD",
            "sourceCurrency" : "SGD",
            "additionalInfo": {
                "refundReason": "travel"
            },
            "beneficiaryDetails": {
                "details": {
                    "firstName": "Shubham",
                    "lastName": "Kumar",
                    "account": "026293800001191",
                    "bankIdentifier": "JP_SGP_DBS",
                    "bankCountryCode": "SGP",
                    "address": {
                        "city": "Chennai",
                        "countryCode": "SGP",
                        "postcode": "24356789",
                        "streetAddress": "GVASJCBKDSHB",
                        "state": "SLKDNFLSDN"
                    },
                    "transferType": "LOCAL",
                    "payoutMode" : "FAST"
                },
                "type": "BANK_TRANSFER"
            }
        }
    ],
    "amount": 1,
    "customerId": "cth_59Yibs1JauYP6WJP",
    "customerPhone": "9999099999",
    "customerEmail": "shubham@gmail.com",
    "type": "FULFILL_ONLY"
}'
```

### Sample Response:

#### BANK_TRANSFER (International):
```plaintext
{
    "status": "FULFILLMENTS_SUCCESSFUL",
    "createdAt": "2025-01-09T13:07:08Z",
    "customerId": "cth_59Yibs1JauYP6WJP",
    "fulfillments": [
        {
            "status": "SUCCESS",
            "additionalInfo": {
                "refundReason": "travel"
            },
            "fulfillmentMethodList": [
                "AIRWALLEX_BT.test3"
            ],
            "createdAt": "2025-01-09T13:07:08Z",
            "fulfillmentCurrency": "SGD",
            "updatedBy": "DEFAULT",
            "id": "182d14695544d89ae13d8036734840-f1",
            "type": "ORDER",
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "amount": 1,
            "transactions": [
                {
                    "status": "SUCCESS",
                    "createdAt": "2025-01-09T13:07:09Z",
                    "transactionRef": "fbfd0d8865f4c6bbe2b8434fc33904",
                    "timeStamp": "2025-01-09T13:07:29Z",
                    "txnResponse": {
                        "status": "PAID",
                        "amount_beneficiary_receives": 1,
                        "payment_method": "LOCAL",
                        "source_currency": "SGD",
                        "fee_amount": 4.11,
                        "payment_id": "c824ace1-13bc-4978-82aa-74b6df98ef65",
                        "request_id": "fbfd0d8865f4c6bbe2b8434fc33904",
                        "reference": "payout",
                        "source_amount": 1,
                        "fee_currency": "SGD",
                        "swift_charge_option": "SHARED",
                        "payment_date": "2025-01-09",
                        "reason": "travel",
                        "short_reference_id": "P250109-X7BWVYP",
                        "payer": {
                            "entity_type": "COMPANY",
                            "address": {
                                "postcode": "XXXX",
                                "state": "XXX",
                                "country_code": "HK",
                                "city": "MXXXXXXXe",
                                "street_address": "MeXXXXXXXXXXXXXXXXXXXXXXSt"
                            },
                            "company_name": "Juspay Merchant",
                            "additional_info": {
                                "business_registration_number": "HKXXXXXXXXXX37",
                                "business_incorporation_date": "20XXXXXX12",
                                "business_registration_type": "COMPANY"
                            }
                        },
                        "beneficiary": {
                            "entity_type": "PERSONAL",
                            "address": {
                                "postcode": "2XXXXXX9",
                                "state": "SLXXXXXXDN",
                                "country_code": "XX",
                                "city": "CXXXXXi",
                                "street_address": "GVXXXXXXXXHB"
                            },
                            "bank_details": {
                                "swift_code": "DXXXXXXG",
                                "bank_country_code": "SG",
                                "local_clearing_system": "FAST",
                                "account_name": "ShXXXXXXXXXar",
                                "account_number": "XXXXXXXXXXXXX91",
                                "account_currency": "SGD"
                            }
                        },
                        "dispatch_date": "2025-01-09",
                        "fee_paid_by": "PAYER",
                        "payment_amount": 1,
                        "payment_currency": "SGD",
                        "additional_info": {
                            "order_info_type1": [],
                            "underlying_payments": []
                        },
                        "selling": true,
                        "funding": {
                            "status": "FUNDED"
                        },
                        "created_at": "2025-01-09T13:07:10+0000",
                        "last_updated_at": "2025-01-09T13:07:29+0000",
                        "amount_payer_pays": 5.11,
                        "remarks": ""
                    },
                    "amount": 1,
                    "gatewayCredsRefId": "test3",
                    "fulfillmentMethod": "AIRWALLEX_BT",
                    "responseMessage": "Transaction is Successfull",
                    "responseCode": "PAID",
                    "responseDescription": "Transaction is Successfull",
                    "epgTxnId": "c824ace1-13bc-4978-82aa-74b6df98ef65",
                    "updatedAt": "2025-01-09T13:07:29Z"
                }
            ],
            "sourceCurrency": "SGD",
            "statusUpdatedAt": "2025-01-09T13:07:41Z",
            "updatedAt": "2025-01-09T13:07:41Z",
            "preferredMethodList": [
                "AIRWALLEX_BT.test3"
            ],
            "beneficiaryDetails": {
                "type": "BANK_TRANSFER",
                "details": {
                    "payoutMode": "FAST",
                    "address": {
                        "postcode": "24XXXX89",
                        "streetAddress": "GVASXXXXDSHB",
                        "state": "SLKDNFLSDN",
                        "city": "Chennai",
                        "countryCode": "SXP"
                    },
                    "bankIdentifier": "JP_SGP_DBS",
                    "lastName": "Kumar",
                    "transferType": "LOCAL",
                    "account": "0262XXXXXXX1191",
                    "firstName": "Shubham",
                    "bankCountryCode": "SGP"
                }
            }
        }
    ],
    "type": "FULFILL_ONLY",
    "amount": 1,
    "updatedAt": "2025-01-09T13:07:42Z",
    "orderId": "demotestorder01"
}
```

## Body Parameters:
### Parameters:

#### orderId:
- Description: Unique Reference for the order. This will be the ID for any subsequent communications. 

Min length = 4, Max length = 64 

orderId can contain alphanumeric values. It can also contain special characters _ , - and @
- Tags: string, Mandatory

#### amount:
- Description: Total order amount. Amount can be passed up to 2 decimal points.Minimum amount of Rs 1Example: 1,2.5,3.80
- Tags: Double, Mandatory

#### customerId:
- Description: Unique ID for the customer generated by the merchant. 

Max length = 64
- Tags: string, Mandatory

#### customerPhone:
- Description: Customer mobile number - you may pass a dummy value in case this information is not available at your end
- Tags: string, Mandatory

#### customerEmail:
- Description: Customer email address - you may pass a dummy value in case this information is not available at your end
- Tags: string, Mandatory

#### type:
- Description: Pass FULFILL_ONLY for payout order creation
- Tags: string, Mandatory

#### fulfillments:
- Description: fulfillment related details
- Value:
  - **PreferredMethodList**:
    - Description: Note: This is an optional param and should be used only in some specific cases and routing requirements. Please do not pass this field unless there is an specific routing need.This will define the list of methods to be used for fulfillments for instance - [“DUMMY_IMPS”]
      
      preferredMethodList carries a higher priority than distribution logic set on Juspay dashboard.
    - Tags: array, Optional
  - **Amount**:
    - Description: Amount to be processed for the particular fulfillment. Sum of all the fulfillment amount should be equal to order amount,Minimum amount of Rs 1.
    - Tags: Double, Mandatory
  - **BeneficiaryDetails**:
    - Value:
      - **Type**:
        - Description: Pass “BANK_TRANSFER” for transfer to the beneficiary account number.
        - Tags: String, Mandatory
      - **Details**:
        - Value:
          - **FirstName**:
            - Description: First Name of the beneficiary.
            - Tags: String
          - **Account**:
            - Description: Account Number of beneficiary. Required for payout type BANK_TRANSFER.
            - Tags: String
          - **LastName**:
            - Description: Last Name of the beneficiary.
            - Tags: String
          - **BankIdentifier**:
            - Description: “bank_code” given in response of payoutMethods API call.
            - Tags: String
          - **BankCountryCode**:
            - Description: “country_code” given in response of payoutMethods API call.
            - Tags: String
          - **PayoutMode**:
            - Description: Rail used for payout processing.
            - Value: FAST
            - Tags: String
          - **TransferType**:
            - Description: Domestic or International transfer.
            - Value: LOCAL | INTERNATIONAL
            - Tags: String
          - **Address**:
            - Description: Additional details about beneficiary
            - Value:
              - **City**:
                - Description: city name
                - Tags: String, Optional
              - **CountryCode**:
                - Description: “country_code” given in response of payoutMethods API call.
                - Tags: String, Optional
              - **Postcode**:
                - Description: Postal code of the beneficiary bank
                - Tags: String, Optional
              - **StreetAddress**:
                - Description: Street address of the beneficiary bank
                - Tags: String, Optional
              - **State**:
                - Description: Name of the state of the beneficiary bank
                - Tags: String, Optional
            - Tags: JSON
        - Tags: Object
    - Tags: object
  - **Udf1-5**:
    - Description: Fulfillment level user defined fields. These fields can be used for analytics and routing of fulfillment of the order
    - Tags: String
  - **AdditionalInfo**:
    - Value:
      - **Remark**:
        - Description: The parameter will be passed as narration to the downstream gateways (if supported)
        - Tags: String
      - **ScheduleTime**:
        - Description: Time at which fulfillment should be attempted by Juspay. This is UTC format. Example: “2025-02-05T11:53:40Z”
        - Tags: String
      - **AttemptThreshold**:
        - Description: This is the time after which juspay will not initiate attempt with underlying gateway.Merchants can use this field to set custom attempt threshold for an order. This is in minutes. Attempt threshold can be set on the dashboard as well.
        - Tags: Integer, Optional
      - **RefundReason**:
        - Description: The parameter will be passed as narration to the downstream gateways (if supported)
        - Tags: String, Optional
      - **WebhookDetails**:
        - Description: Merchants can provide dynamic webhook details for the order if required. This is an optional field.Use this field only if you want to receive webhooks on separate URLs for orders.If you want to use only one URL for webhooks, please set webhook URL on payouts Dashboard.
        - Value:
          - **Url**:
            - Description: https URL corresponding to webhook endpoint to which webhook events should be triggered for this order
            - Tags: String
          - **Username**:
            - Description: Input values of username and password in corresponding fields. Base 64 encoded value of username:password will be sent as Authorization for webhook
            - Tags: String
          - **CustomHeader**:
            - Description: Merchant can pass custom headers in below mentioned format:{ "<name of field1>" : "<value1>", "<name of field 2>" : "<value 2>" }Example:{ "X-MerchantId" : "testMerchant", "X-App" : "testApp" }
            - Tags: String, Optional
          - **Password**:
            - Description: Input values of password in corresponding fields. Base 64 encoded value of username:password will be sent as Authorization for webhook
            - Tags: String
        - Tags: Object, Optional
    - Tags: Object
  - **FulfillmentCurrency**:
    - Description: 3 letter currency code as per ISO 4217
    - Value: Ex: SGD
    - Tags: String, Mandatory
  - **SourceCurrency**:
    - Description: 3 letter currency code as per ISO 4217
    - Value: Ex: SGD
    - Tags: String, Optional
- Tags: object

#### udf1-5:
- Description: Order level user defined field. Field can be used for analytics.
- Tags: string
## API Responses:
### 200:

#### 200 : Payout Response:
- Value:
  - **Type**:
    - Description: Payout type passed in order create request
    - Value: FULFILL_ONLY
    - Tags: String
  - **Status**:
    - Description: Relays the current status of order created at Juspay end
    - Value: READY_FOR_FULFILLMENT
    - Tags: String
  - **Orderid**:
    - Description: orderId passed during order creation
    - Value: 1703593449
    - Tags: String
  - **Fullfilments**:
    - Value:
      - **Amount**:
        - Description: Amount passed in the fulfillment block
        - Value: 1.0
        - Tags: String
      - **UpdatedBy**:
        - Description: Medium via which payout status was updated. Will be DEFAULT in response of create order
        - Value: DEFAULT
        - Tags: String
      - **UpdatedAt**:
        - Description: Timestamp at which fulfillment payload was last updated at Juspay end
        - Value: 2023-12-23T16:54:27Z
        - Tags: String
      - **Udf1-5**:
        - Description: Fulfillment level user defined fields passed in order creation request
        - Tags: String
      - **Status**:
        - Description: Relays the current status of fulfillment created at Juspay end
        - Value: CREATED
        - Tags: String
      - **PreferredMethodList**:
        - Description: Array passed during order create for preferredMethodList
        - Value: DUMMY_IMPS
        - Tags: Array of Strings
      - **Id**:
        - Description: Fulfillment ID created by Juspay for fulfillment payload received in order create request
        - Value: 25cbcf3454a445789309dc0b54e681-f1
        - Tags: String
      - **StatusUpdatedAt**:
        - Description: Timestamp at which status of fulfillment was updated at Juspay end
        - Value: 2023-12-26T12:24:08Z
        - Tags: String
      - **BeneficiaryDetails**:
        - Description: Beneficiary details provided in order create by merchant
        - Value:
          - **Type**:
            - Description: Payout type initiated by merchant
            - Value: BANK_TRANSFER
            - Tags: String, Mandatory
          - **Details**:
            - Value:
              - **FirstName**:
                - Description: First name of the beneficiary
                - Tags: String
              - **TransferType**:
                - Value: LOCAL | INTERNATIONAL
                - Tags: String
              - **Account**:
                - Description: Account number of the beneficiary
                - Tags: String
              - **BankCountryCode**:
                - Description: country code of the beneficiary bank
                - Tags: String
              - **PayoutMode**:
                - Description: mode of the payout
                - Tags: String
              - **BankIdentifier**:
                - Tags: String
              - **LastName**:
                - Description: Last name of the beneficiary
                - Tags: String
            - Tags: Object
        - Tags: Object
      - **AdditionalInfo**:
        - Description: Additional Information sent by merchant in create order request
        - Value:
          - **RefundReason**:
            - Description: Any additional remark or reason.
            - Tags: String
        - Tags: Object
      - **FulfillmentMethodList**:
        - Tags: String
      - **FulfillmentCurrency**:
        - Description: Currency code of the payee country
        - Tags: String
      - **SourceCurrency**:
        - Description: Currency code of the payer country
        - Tags: String
    - Tags: Array
  - **CustomerId**:
    - Description: Customer ID passed during order creation
    - Value: cth_59Yibs1JauYP6WJP
    - Tags: String
  - **Amount**:
    - Description: Amount passed for the order
    - Value: 1.0
    - Tags: String
  - **Udf1-5**:
    - Description: Order level udfs passed in order create request
    - Tags: String
  - **Payments**:
    - Tags: String
- Tags: Object
### 400:

#### error:
- Description: Boolean reflecting error in request of create order API
- Value:  true
- Tags: Boolean

#### errorCode:
- Description: Error code provided by Juspay
- Value:  E01
- Tags: String

#### errorMessage:
- Description: Error message provided by Juspay. Share this message with Juspay POC for debugging
- Value: Amount0.0 cannot be less than 1.0Amount0.0 cannot be less than 1.0
- Tags: String

#### userMessage:
- Description: Error message that will be shown on dashboard / analytics
- Tags: String
### 401:

#### error:
- Description: Boolean reflecting error in request of create order API
- Value:  true
- Tags: String

#### errorCode:
- Description: Error code provided by Juspay
- Value:  E02
- Tags: String

#### errorMessage:
- Description: Error message provided by Juspay. Share this message with Juspay POC for debugging
- Value:  Invalid API key passed in request.
- Tags: String

#### userMessage:
- Description: Error message that will be shown on dashboard / analytics
- Value:  Invalid API Key
- Tags: String, Mandatory


---

## See Also

- [Integration Specifications](https://juspay.io/in/docs/api-reference/docs/payout/integration-specifications)
- [Order Create [Encrypted]](https://juspay.io/in/docs/api-reference/docs/payout/order-create-encrypted)
